---
title: Examples
---

### Examples

Below are a few examples of putting the above configuration into use for real world examples.

#### Default Fields with Specific Recipient

    &l
    t;p>Contact Us!</p>

    {{ form('contact')
    .to('example@domain.com')
    .from('{email}')|raw }}

#### Minimalistic Form with Custom Layout

    {%  set form = form('contact')

    .fields({
        'email': {
            'placeholder': 'What is your email?',
            'type': 'anomaly.field_type.email',
            'required': true
        },
        'comment': {
            'placeholder': 'What would you like to talk about?',
            'type': 'anomaly.field_type.textarea',
            'required': true
        }
    })
    .to('example@domain.com')
    .from('{email}').get %}

    {{ form.open|raw }}

    <div class="form-group">
        {{ form.fields.email
    .input|raw }}
    </div><
    /span>
    <div class="form-group">
        {{ form.fields.comme
    nt.input|raw }}
    </div><
    /span>

    {{ form.actions|raw }}

    {{ form.close|raw }}

#### Default Fields with Redirect to Thank You Page

    {{ form('contact')
    .redirect('thank-you')
    .to('example@domain.com')
    .from('{email}')|raw }}
